/*
 *	File:		communication.c
 *  Project:	Oktopod_Board firmware (MCU-AtMega16)
 *	Version:	V3.2
 *  Authors:	Robert Kovacs, Milan Romic
 *	Contact:	robikovacs@oktopodstudio.com, milan.romic@oktopodstudio.com
 *	Web:		<http://www.oktopodstudio.com>
 
 *	This program is distributed under the terms of the GNU General Public License
 *	Copyright (c) 2010-2013 Oktopod Studio  
 *	All rights reserved.
 
 *	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

 *	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

 *	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <avr/io.h>
#include "globals.h"
#include "communication.h"

uchar com_error = 0;
uchar check_sum = 0;
uchar USART_rcv_buff[RCV_BUFF_SIZE];
uchar USART_trs_buff[TRS_BUFF_SIZE];
uchar temp_buff[16];
uchar rcv_buff_characters = 0;
int tmp_speed = 0, tmp_position = 0;

void Send_USART_data (uchar data)
{
  while(!(UCSRA & (1<<UDRE)));
  UDR = data;
  return;
}
void Send_USART_int_data (uint data)
{
  while(!(UCSRA & (1<<UDRE)));
  UDR = data >> 8;
  while(!(UCSRA & (1<<UDRE)));
  UDR = data;
  return;
}

void Send_USART_data_block (uchar size, uchar *data)
{
uchar i;
  for(i=0;i<size;i++)
    Send_USART_data (*(data + i));
  return;        
}  
