/*
 *	File:		communication.h
 *  Project:	Oktopod_Board firmware (MCU-AtMega16)
 *	Version:	V3.2
 *  Authors:	Robert Kovacs, Milan Romic
 *	Contact:	robikovacs@oktopodstudio.com, milan.romic@oktopodstudio.com
 *	Web:		<http://www.oktopodstudio.com>
 
 *	This program is distributed under the terms of the GNU General Public License
 *	Copyright (c) 2010-2013 Oktopod Studio  
 *	All rights reserved.
 
 *	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

 *	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

 *	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef COMMUNICATION_H
#define COMMUNICATION_H

#include "globals.h"
  
  #define RCV_BUFF_SIZE 16
  #define TRS_BUFF_SIZE 6
  #define OVERLOAD_BUFF_SIZE 32

  #define STX 2
  #define ETX 3
  
  #define COM_ERR_OWLO       1
  #define COM_ERR_PE         2
  #define COM_ERR_DOR        3
  #define COM_ERR_FE         4  
  #define COM_ERR_BCMD       5  
  // bad command
  #define COM_ERR_BDN        6
  // bad number of data
  #define COM_ERR_CHKS       7
  // checksum error
  #define COM_ERR_FORMAT     8
  // format error ETX not in right position
  #define COM_ERR_BD         9
  // bad data
  #define COM_OK             170
  
  #define COM_TYPE_USART 1
  #define COM_TYPE_TWI 2
	#define USART_TIKS 2000
   
  extern uchar com_error; 
  extern uchar check_sum;
  extern uchar USART_rcv_buff[];
  extern uchar USART_trs_buff[];
  extern uchar rcv_buff_characters;
  
	//send byte over USART
	void Send_USART_data (uchar data);
	//send two bytes over USART
	void Send_USART_int_data (uint data);
	//send block
	void Send_USART_data_block (uchar size, uchar *data);
	

#endif
