/*
 *	File:		eeprom.h
 *  Project:	Oktopod_Board firmware (MCU-AtMega16)
 *	Version:	V3.2
 *  Authors:	Robert Kovacs, Milan Romic
 *	Contact:	robikovacs@oktopodstudio.com, milan.romic@oktopodstudio.com
 *	Web:		<http://www.oktopodstudio.com>
 
 *	This program is distributed under the terms of the GNU General Public License
 *	Copyright (c) 2010-2013 Oktopod Studio
 *	All rights reserved.
 
 *	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

 *	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

 *	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef EEPROM_H
#define EEPROM_H

  #define EEPROM_SIZE   512
  #define EEPROM_MAX_ADR  EEPROM_SIZE - 1
  
  //read one character
  //return 0 if OK
  uchar EEPROM_read_char(uint address, uchar *data);
  
  //read block of characters
  //return 0 if OK
  uchar EEPROM_read_block(uint start_address, uchar *data, uint size);
  
  //write one character
  //return 0 if OK
  uchar EEPROM_write_char(uint address, uchar data);
  
  //write block of characters
  //return 0 if OK
  uchar EEPROM_write_block(uint start_address, uchar *data, uint size);
  
#endif
