/*
 *	File:		globals.h
 *  Project:	Oktopod_Board firmware (MCU-AtMega16)
 *	Version:	V3.2
 *  Authors:	Robert Kovacs, Milan Romic
 *	Contact:	robikovacs@oktopodstudio.com, milan.romic@oktopodstudio.com
 *	Web:		<http://www.oktopodstudio.com>
 
 *	This program is distributed under the terms of the GNU General Public License
 *	Copyright (c) 2010-2013 Oktopod Studio
 *	All rights reserved.
 
 *	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

 *	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

 *	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GLOBALS_H
#define GLOBALS_H

typedef unsigned char uchar; 
typedef unsigned int uint;
typedef unsigned long ulong; 

#define _NO_ERROR 0

#define EEPROM_SIZE 512
#define EEPROM_MAX_ADDR (EEPROM_SIZE - 1)

#define CBIT(a,b) a &= (~(1<<b))
#define SBIT(a,b) a |= (1<<b)
#define MBIT(a,b) a & (1<<b)
  
#define DesableAll() SREG &= ~0x80
#define EnableAll() SREG |= 0x80

extern volatile signed int takt_prog;

extern volatile unsigned int
address,
send_timer,
safety_timer,
mode_button_timer,
pwm_timer,
servo_cnt,
led_cnt,
led_pwm,
delay_time_sub_0,
delay_time_sub_1,
delay_time_sub_2,
i;

extern volatile uchar
standby,
led_puls,
program_block[3],
write_prog,
sub_prog_0_length,
sub_prog_1_length,
sub_prog_2_length,
sub_prog_0_started,
sub_prog_1_started,
sub_prog_2_started,
sub_prog_0_counter,
sub_prog_1_counter,
sub_prog_2_counter,
delay_time_sub_0_flag,
delay_time_sub_1_flag,
delay_time_sub_2_flag,
send[25], 
ch[24],
pwr[15],
pwr_cnt,
ch_cnt,
message_received,
check,
chc,
servo1,
servo2,
servo3,
servo1_tmp,
servo2_tmp,
servo3_tmp;

#endif

